<?xml version="1.0" encoding="UTF-8"?>
<flow xmlns="http://www.springframework.org/schema/webflow"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.springframework.org/schema/webflow
      http://www.springframework.org/schema/webflow/spring-webflow-2.0.xsd">

  <secured attributes="ROLE_USER, ROLE_ADMIN"/>

  <end-state id="finish" view="externalRedirect:contextRelative:/profile/${flowScope.userCode}/index.html">
    <on-entry>
      <evaluate expression="profileFriendDenyAction.deny"/>
    </on-entry>
  </end-state>

</flow>